#!/usr/bin/python3

# Vektorová algebra

# Sčítanie dvoch 3-rozmerných vektorov u,v
def vector_add(u,v):
    assert len(u) == len(v) == 3
    return [u[0] + v[0],u[1] + v[1],u[2] + v[2]]

# Odčítanie dvoch 3-rozmerných vektorov u,v
def vector_sub(u,v):
    assert len(u) == len(v) == 3
    return [u[0] - v[0],u[1] - v[1],u[2] - v[2]]

# Násobenie 3-rozmerného vektora u skalárom s
def vector_mul(u,s):
    assert len(u) == 3
    return [u[0] * s,u[1] * s,u[2] * s]

# Skalárny súčin dvoch 3-rozmerných vektorov u,v
def dot_product(u,v):
    assert len(u) == len(v) == 3
    return (u[0] * v[0] + u[1] * v[1] + u[2] * v[2])

# Vektorový súčin dvoch 3-rozmerných vektorov u,v
def cross_product(u,v):
    assert len(u) == len(v) == 3
    return [u[1] * v[2] - u[2] * v[1],
            u[2] * v[0] - u[0] * v[2],
            u[0] * v[1] - u[1] * v[0]]

v1 = [1.0,0.0,0.0]; v2 = [0.0,1.0,0.0]; s0 = 10.0

print("Vektory:\n-----------------------------------------")
print("v1 =",v1,"\nv2 =",v2,"\n-----------------------------------------")

print("Sčítanie:               ",vector_add(v1,v2))
print("Odčítanie:              ",vector_sub(v1,v2))
print("Násobenie skalárom:      v1 *",s0,"=",vector_mul(v1,s0))
print("                         v2 *",s0,"=",vector_mul(v2,s0))
print("Skalárny súčin:         ",dot_product(v1,v2))
print("Vektorový súčin:        ",cross_product(v1,v2))
